[med-svn] [Git][med-team/bedtools][master] 7 commits: Fix Build-Depends (s/python/python3/)

Andreas Tille gitlab at salsa.debian.org
Thu Dec 5 11:26:53 GMT 2019



Andreas Tille pushed to branch master at Debian Med / bedtools


Commits:
b1efd0eb by Andreas Tille at 2019-12-05T10:33:50Z
Fix Build-Depends (s/python/python3/)

- - - - -
f976cc3a by Andreas Tille at 2019-12-05T10:34:09Z
autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

- - - - -
4a8c5f81 by Andreas Tille at 2019-12-05T10:34:11Z
Remove patches louder, reproducible_build.patch that are missing from debian/patches/series.

Fixes lintian: patch-file-present-but-not-mentioned-in-series
See https://lintian.debian.org/tags/patch-file-present-but-not-mentioned-in-series.html for more details.

- - - - -
310d36c7 by Andreas Tille at 2019-12-05T10:34:12Z
Set fields Upstream-Contact in debian/copyright.
- - - - -
22ad1373 by Andreas Tille at 2019-12-05T10:34:14Z
Remove obsolete fields Contact, Name from debian/upstream/metadata.
- - - - -
e8b167d4 by Andreas Tille at 2019-12-05T11:07:32Z
replace remaining references to python by python3

- - - - -
4a6c2f30 by Andreas Tille at 2019-12-05T11:16:48Z
Upload to unstable

- - - - -


8 changed files:

- debian/changelog
- debian/control
- debian/copyright
- debian/patches/2to3.patch
- − debian/patches/louder
- − debian/patches/reproducible_build.patch
- debian/tests/run-unit-test
- debian/upstream/metadata


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,16 @@
+bedtools (2.29.0+dfsg-2) unstable; urgency=medium
+
+  * Fix Build-Depends (s/python/python3/) and replace remaining references
+    to python by python3
+    Closes: #936199
+  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
+  * Remove patches louder, reproducible_build.patch that are missing
+    from debian/patches/series.
+  * Set fields Upstream-Contact in debian/copyright.
+  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
+
+ -- Andreas Tille <tille at debian.org>  Thu, 05 Dec 2019 12:11:59 +0100
+
 bedtools (2.29.0+dfsg-1) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/control
=====================================
@@ -5,7 +5,7 @@ Uploaders: Charles Plessy <plessy at debian.org>,
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               python,
+               python3,
                zlib1g-dev,
                libbz2-dev,
                liblzma-dev,


=====================================
debian/copyright
=====================================
@@ -6,6 +6,7 @@ Files-Excluded: */barski_binding_site.png
                 */g++
                 */gcc
 Upstream-Name: bedtools
+Upstream-Contact: http://groups.google.com/group/bedtools-discuss
 
 Files: *
 Copyright: © 2009,2010,2011 Aaron Quinlan


=====================================
debian/patches/2to3.patch
=====================================
@@ -70,3 +70,33 @@ Last-Update: Sun, 01 Sep 2019 10:31:52 +0200
  # NOTE: add -m here to make merged output
 -print check_output("../../bin/bedtools fisher -a taa.bed -b tbb.bed -g tgg.genome", shell=True).strip()
 +print(check_output("../../bin/bedtools fisher -a taa.bed -b tbb.bed -g tgg.genome", shell=True).strip())
+--- a/src/utils/BamTools/Makefile.frag
++++ b/src/utils/BamTools/Makefile.frag
+@@ -1,4 +1,4 @@
+ src/utils/BamTools/include/BamAlignment.mapping.hpp: src/utils/BamTools/mapping/BamAlignment.py src/utils/BamTools/mapping/BamAlignment.map
+ 
+ src/utils/BamTools/include/%.mapping.hpp: src/utils/BamTools/mapping/%.py src/utils/BamTools/mapping/%.map
+-	python $^ > $@
++	python3 $^ > $@
+--- a/test/bigchroms/test-bigchroms.sh
++++ b/test/bigchroms/test-bigchroms.sh
+@@ -28,7 +28,7 @@ check obs abig.bed
+ rm obs
+ 
+ if [[ "$BT_NO_BIG_FILES" != "" ]]; then
+-python make-big-chrom.py
++python3 make-big-chrom.py
+ 
+ echo -e "    bigchroms.t03...big get fasta \c"
+ $BT getfasta -fi bigx.fasta -bed bigx.bed | tail -1 > obs
+--- a/Makefile
++++ b/Makefile
+@@ -175,7 +175,7 @@ $(BIN_DIR)/bedtools: autoversion $(BUILT
+ 
+ $(BIN_DIR)/intersectBed: | $(BIN_DIR)
+ 	@echo "- Creating executables for old CLI."
+-	@python scripts/makeBashScripts.py
++	@python3 scripts/makeBashScripts.py
+ 	@chmod +x bin/*
+ 	@echo "done."
+ 


=====================================
debian/patches/louder deleted
=====================================
@@ -1,896 +0,0 @@
-From: Michael R. Crusoe <michael.crusoe at gmail.com>
-Subject: Print compilation commands
---- bedtools.orig/src/annotateBed/Makefile
-+++ bedtools/src/annotateBed/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- 		
- clean:
---- bedtools.orig/src/bamToBed/Makefile
-+++ bedtools/src/bamToBed/Makefile
-@@ -28,7 +28,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) 
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) 
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/bamToFastq/Makefile
-+++ bedtools/src/bamToFastq/Makefile
-@@ -24,7 +24,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) 
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) 
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/bed12ToBed6/Makefile
-+++ bedtools/src/bed12ToBed6/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/bedToBam/Makefile
-+++ bedtools/src/bedToBam/Makefile
-@@ -30,7 +30,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/bedToIgv/Makefile
-+++ bedtools/src/bedToIgv/Makefile
-@@ -28,7 +28,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/bedpeToBam/Makefile
-+++ bedtools/src/bedpeToBam/Makefile
-@@ -33,7 +33,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/BamTools/	
---- bedtools.orig/src/closestFile/Makefile
-+++ bedtools/src/closestFile/Makefile
-@@ -40,7 +40,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/clusterBed/Makefile
-+++ bedtools/src/clusterBed/Makefile
-@@ -25,10 +25,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/clusterMain.o $(OBJ_DIR)/clusterBed.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/complementFile/Makefile
-+++ bedtools/src/complementFile/Makefile
-@@ -42,7 +42,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/coverageFile/Makefile
-+++ bedtools/src/coverageFile/Makefile
-@@ -38,7 +38,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/expand/Makefile
-+++ bedtools/src/expand/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/fastaFromBed/Makefile
-+++ bedtools/src/fastaFromBed/Makefile
-@@ -30,7 +30,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/fisher/Makefile
-+++ bedtools/src/fisher/Makefile
-@@ -51,7 +51,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/flankBed/Makefile
-+++ bedtools/src/flankBed/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 		
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/genomeCoverageBed/Makefile
-+++ bedtools/src/genomeCoverageBed/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/getOverlap/Makefile
-+++ bedtools/src/getOverlap/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- 	
- clean:
---- bedtools.orig/src/groupBy/Makefile
-+++ bedtools/src/groupBy/Makefile
-@@ -43,7 +43,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/intersectFile/Makefile
-+++ bedtools/src/intersectFile/Makefile
-@@ -39,7 +39,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/jaccard/Makefile
-+++ bedtools/src/jaccard/Makefile
-@@ -43,7 +43,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/linksBed/Makefile
-+++ bedtools/src/linksBed/Makefile
-@@ -25,10 +25,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/linksMain.o $(OBJ_DIR)/linksBed.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/mapFile/Makefile
-+++ bedtools/src/mapFile/Makefile
-@@ -38,7 +38,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/maskFastaFromBed/Makefile
-+++ bedtools/src/maskFastaFromBed/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/mergeFile/Makefile
-+++ bedtools/src/mergeFile/Makefile
-@@ -40,10 +40,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/mergeHelp.o $(OBJ_DIR)/mergeFile.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/multiBamCov/Makefile
-+++ bedtools/src/multiBamCov/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/multiIntersectBed/Makefile
-+++ bedtools/src/multiIntersectBed/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/nekSandbox1/Makefile
-+++ bedtools/src/nekSandbox1/Makefile
-@@ -35,7 +35,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/nucBed/Makefile
-+++ bedtools/src/nucBed/Makefile
-@@ -27,10 +27,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/nucBedMain.o $(OBJ_DIR)/nucBed.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/pairToBed/Makefile
-+++ bedtools/src/pairToBed/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/pairToPair/Makefile
-+++ bedtools/src/pairToPair/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- 
- clean:
---- bedtools.orig/src/randomBed/Makefile
-+++ bedtools/src/randomBed/Makefile
-@@ -23,7 +23,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/regressTest/Makefile
-+++ bedtools/src/regressTest/Makefile
-@@ -32,9 +32,9 @@
- 
- all: #$(BUILT_OBJECTS)
- 	@echo "compiling RegressTest.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/RegressTest.o RegressTest.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/RegressTest.o RegressTest.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	@echo "compiling regressTestMain.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/regressTestMain.o regressTestMain.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/regressTestMain.o regressTestMain.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	
- .PHONY: all
- 
---- bedtools.orig/src/reldist/Makefile
-+++ bedtools/src/reldist/Makefile
-@@ -30,7 +30,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/sampleFile/Makefile
-+++ bedtools/src/sampleFile/Makefile
-@@ -37,7 +37,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/shiftBed/Makefile
-+++ bedtools/src/shiftBed/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/shuffleBed/Makefile
-+++ bedtools/src/shuffleBed/Makefile
-@@ -28,7 +28,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/slopBed/Makefile
-+++ bedtools/src/slopBed/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/sortBed/Makefile
-+++ bedtools/src/sortBed/Makefile
-@@ -26,10 +26,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/sortMain.o $(OBJ_DIR)/sortBed.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/spacingFile/Makefile
-+++ bedtools/src/spacingFile/Makefile
-@@ -37,7 +37,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/split/Makefile
-+++ bedtools/src/split/Makefile
-@@ -25,7 +25,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/subtractFile/Makefile
-+++ bedtools/src/subtractFile/Makefile
-@@ -40,7 +40,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/tagBam/Makefile
-+++ bedtools/src/tagBam/Makefile
-@@ -28,7 +28,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/unionBedGraphs/Makefile
-+++ bedtools/src/unionBedGraphs/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/BamTools-Ancillary/Makefile
-+++ bedtools/src/utils/BamTools-Ancillary/Makefile
-@@ -21,10 +21,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/BamTools/Makefile
-+++ bedtools/src/utils/BamTools/Makefile
-@@ -61,7 +61,7 @@
- 
- $(OBJECTS): $(SOURCES)
- 	@echo " * compiling" $(*F).cpp
--	@$(CXX) -c $(*D)/$(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -o $(*D)/$(*F).o
-+	$(CXX) -c $(*D)/$(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -o $(*D)/$(*F).o
- 
- .PHONY: api
- api:
---- bedtools.orig/src/utils/BinTree/Makefile
-+++ bedtools/src/utils/BinTree/Makefile
-@@ -28,7 +28,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -37,4 +37,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/BinTree.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/BlockedIntervals/Makefile
-+++ bedtools/src/utils/BlockedIntervals/Makefile
-@@ -23,7 +23,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
---- bedtools.orig/src/utils/Contexts/Makefile
-+++ bedtools/src/utils/Contexts/Makefile
-@@ -36,7 +36,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/Fasta/Makefile
-+++ bedtools/src/utils/Fasta/Makefile
-@@ -19,7 +19,7 @@
- 	
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/FileRecordTools/FileReaders/Makefile
-+++ bedtools/src/utils/FileRecordTools/FileReaders/Makefile
-@@ -32,7 +32,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/FileRecordTools/Makefile
-+++ bedtools/src/utils/FileRecordTools/Makefile
-@@ -34,9 +34,9 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling FileRecordMgr.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/FileRecordMgr.o FileRecordMgr.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/FileRecordMgr.o FileRecordMgr.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	@echo "  * compiling FileRecordMergeMgr.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/FileRecordMergeMgr.o FileRecordMergeMgr.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/FileRecordMergeMgr.o FileRecordMergeMgr.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	
- 	
- 
---- bedtools.orig/src/utils/FileRecordTools/Records/Makefile
-+++ bedtools/src/utils/FileRecordTools/Records/Makefile
-@@ -37,7 +37,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
-@@ -46,4 +46,4 @@
- 		$(OBJ_DIR)/BedPlusInterval.o $(OBJ_DIR)/Bed12Interval.o $(OBJ_DIR)/BamRecord.o $(OBJ_DIR)/VcfRecord.o $(OBJ_DIR)/GffRecord.o $(OBJ_DIR)/BlockMgr.o $(OBJ_DIR)/StrandQueue.o \
- 		$(OBJ_DIR)/RecordKeyList.o $(OBJ_DIR)/RecordKeyVector.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/GenomeFile/Makefile
-+++ bedtools/src/utils/GenomeFile/Makefile
-@@ -20,9 +20,9 @@
- 
- $(BUILT_OBJECTS): $(SOURCES) $(SUBDIRS)
- 	@echo "  * compiling GenomeFile.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/GenomeFile.o GenomeFile.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/GenomeFile.o GenomeFile.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 	@echo "  * compiling NewGenomeFile.cpp"
--	@$(CXX) -c -o $(OBJ_DIR)/NewGenomeFile.o NewGenomeFile.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $(OBJ_DIR)/NewGenomeFile.o NewGenomeFile.cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- #$(EXT_OBJECTS):
- #	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/lineFileUtilities/
---- bedtools.orig/src/utils/KeyListOps/Makefile
-+++ bedtools/src/utils/KeyListOps/Makefile
-@@ -31,7 +31,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- 
- $(EXT_OBJECTS):
-@@ -41,4 +41,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/KeyListOps.o $(OBJ_DIR)/KeyListOpsMethods.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/NewChromsweep/Makefile
-+++ bedtools/src/utils/NewChromsweep/Makefile
-@@ -34,10 +34,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/NewChromsweep.o $(BIN_DIR)/CloseSweep.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/RecordOutputMgr/Makefile
-+++ bedtools/src/utils/RecordOutputMgr/Makefile
-@@ -29,7 +29,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -38,4 +38,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/RecordOutputMgr.o 
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/ToolBase/Makefile
-+++ bedtools/src/utils/ToolBase/Makefile
-@@ -30,7 +30,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -39,4 +39,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/ToolBase.o 
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/VectorOps/Makefile
-+++ bedtools/src/utils/VectorOps/Makefile
-@@ -11,10 +11,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/bedFile/Makefile
-+++ bedtools/src/utils/bedFile/Makefile
-@@ -20,7 +20,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C -W $(INCLUDES)
-@@ -29,4 +29,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/bedFilePE/Makefile
-+++ bedtools/src/utils/bedFilePE/Makefile
-@@ -17,7 +17,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -26,4 +26,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/bedGraphFile/Makefile
-+++ bedtools/src/utils/bedGraphFile/Makefile
-@@ -19,7 +19,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C -W $(INCLUDES)
---- bedtools.orig/src/utils/chromsweep/Makefile
-+++ bedtools/src/utils/chromsweep/Makefile
-@@ -20,7 +20,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -29,4 +29,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/driver/Makefile
-+++ bedtools/src/utils/driver/Makefile
-@@ -85,7 +85,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(DFLAGS) $(INCLUDES)
- 	
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/fileType/Makefile
-+++ bedtools/src/utils/fileType/Makefile
-@@ -22,10 +22,10 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/fileType.o $(OBJ_DIR)/FileRecordTypeChecker.o
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/general/Makefile
-+++ bedtools/src/utils/general/Makefile
-@@ -21,7 +21,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/utils/sequenceUtilities/Makefile
-+++ bedtools/src/utils/sequenceUtilities/Makefile
-@@ -17,7 +17,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(INCLUDES)
-@@ -26,4 +26,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/tabFile/Makefile
-+++ bedtools/src/utils/tabFile/Makefile
-@@ -19,7 +19,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C -W $(INCLUDES)
-@@ -28,4 +28,4 @@
- 	@echo "Cleaning up."
- 	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
- 
--.PHONY: clean
-\ No newline at end of file
-+.PHONY: clean
---- bedtools.orig/src/utils/version/Makefile
-+++ bedtools/src/utils/version/Makefile
-@@ -20,7 +20,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES) $(HEADERS)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/windowBed/Makefile
-+++ bedtools/src/windowBed/Makefile
-@@ -27,7 +27,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- clean:
- 	@echo "Cleaning up."
---- bedtools.orig/src/windowMaker/Makefile
-+++ bedtools/src/windowMaker/Makefile
-@@ -26,7 +26,7 @@
- 
- $(BUILT_OBJECTS): $(SOURCES)
- 	@echo "  * compiling" $(*F).cpp
--	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
-+	$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(INCLUDES)
- 
- $(EXT_OBJECTS):
- 	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/genomeFile/


=====================================
debian/patches/reproducible_build.patch deleted
=====================================
@@ -1,5 +0,0 @@
-Author: Chris Lamb <lamby at debian.org>
-Last-Update: Fri, 12 Aug 2016 00:22:02 +0100
-Bug-Debian: https://bugs.debian.org/834110
-Description: Enable reproducible builds
-


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,19 +1,19 @@
 #!/bin/sh -e
 
-if [ "$ADTTMP" = "" ] ; then
-  ADTTMP=`mktemp -d /tmp/bedtools-test.XXXXXX`
-  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/bedtools-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
 fi
 
 # Copy test suite there
-cp -a /usr/share/bedtools/test $ADTTMP
+cp -a /usr/share/bedtools/test $AUTOPKGTEST_TMP
 
 # Link to genomes files
-cd $ADTTMP
+cd $AUTOPKGTEST_TMP
 
 ln -s /usr/share/bedtools/genomes
 
 # Enter the directory and run the tests
-cd $ADTTMP/test
+cd $AUTOPKGTEST_TMP/test
 DATA=/usr/share/bedtools/data BT=/usr/bin/bedtools sh test.sh
 


=====================================
debian/upstream/metadata
=====================================
@@ -1,28 +1,26 @@
 Archive: GitHub
-Contact: http://groups.google.com/group/bedtools-discuss
-Name: BEDTools
 Reference:
- Author: Quinlan, Aaron R. and Hall, Ira M.
- Title: >
-  BEDTools: a flexible suite of utilities for comparing genomic features
- Volume: 26
- Number: 6
- Pages: 841-842
- Year: 2010
- DOI: 10.1093/bioinformatics/btq033
- URL: http://bioinformatics.oxfordjournals.org/content/26/6/841.abstract
- ePrint: >
-  http://bioinformatics.oxfordjournals.org/content/26/6/841.full.pdf+html
- Journal: Bioinformatics
- PMID: 20110278
+  Author: Quinlan, Aaron R. and Hall, Ira M.
+  Title: >
+    BEDTools: a flexible suite of utilities for comparing genomic features
+  Volume: 26
+  Number: 6
+  Pages: 841-842
+  Year: 2010
+  DOI: 10.1093/bioinformatics/btq033
+  URL: http://bioinformatics.oxfordjournals.org/content/26/6/841.abstract
+  ePrint: >
+    http://bioinformatics.oxfordjournals.org/content/26/6/841.full.pdf+html
+  Journal: Bioinformatics
+  PMID: 20110278
 Repository: https://github.com/arq5x/bedtools2.git
 Repository-Browse: https://github.com/arq5x/bedtools2
 Registry:
- - Name: SciCrunch
-   Entry: SCR_006646
- - Name: bio.tools
-   Entry: bedtools
- - Name: OMICtools
-   Entry: OMICS_01159
- - Name: conda:bioconda
-   Entry: biotools
+- Name: SciCrunch
+  Entry: SCR_006646
+- Name: bio.tools
+  Entry: bedtools
+- Name: OMICtools
+  Entry: OMICS_01159
+- Name: conda:bioconda
+  Entry: biotools



View it on GitLab: https://salsa.debian.org/med-team/bedtools/compare/ded652c7530c7746c4e3d5e0a1a65389939c0d20...4a6c2f309254e8a90df769ab24954c222cea6284

-- 
View it on GitLab: https://salsa.debian.org/med-team/bedtools/compare/ded652c7530c7746c4e3d5e0a1a65389939c0d20...4a6c2f309254e8a90df769ab24954c222cea6284
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20191205/55d9a3d4/attachment-0001.html>


More information about the debian-med-commit mailing list